%define module_name Data-Validate-Email
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Data/Validate/Domain.pm) perl(Email/Address.pm) perl(Exporter.pm) perl(FileHandle.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: common email validation methods
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SO/SONNEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module collects common email validation routines to make input validation,.and untainting easier and more readable. 

All functions return an untainted value if the test passes, and undef if
it fails.  This means that you should always check for a defined status explicitly.
Don't assume the return will be true. (e.g. is_username('0'))

The value to test is always the first (and often only) argument.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*
%changelog
* Sun Oct 29 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

